Page MenuHomePureOS Tracker

pureos-gnome: change pureos-webext to recommend: `webext-ublock-origin-firefox` instead of `webext-ublock-origin`
Open, Needs TriagePublic

Description

webext-ublock-origin (which we install by default in pureos to have ublock origin with firefox-esr) is now a transitional package for two other packages: webext-ublock-origin-firefox and webext-ublock-origin-chromium and this last package recommends chromium

Currently in PureOS: pureos-gnome recommends pureos-webext > which recommends (the now transitional package) webext-ublock-origin > which in turn also depends of: > webext-ublock-origin-chromium which recommends the browser chromium.

Should we adjust: pureos-gnome and pureos-webext to only recommend webext-ublock-origin-firefox instead of the now transitional package webext-ublock-origin?

Event Timeline

joao.azevedo updated the task description. (Show Details)Jan 23 2021, 05:11
joao.azevedo added a subscriber: mak.

@mak pinging you here because the changelog of these packages indicates you were the last person to update them. But feel free to assign to someone else 😄

Basically my fear is that people will end up having chromium installed in their systems 📦